## org.apache.hadoop.examples
Class SecondarySort.MapClass

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<LongWritable,Text,SecondarySort.IntPair,IntWritable>
          org.apache.hadoop.examples.SecondarySort.MapClass

Enclosing class:
  SecondarySort

    public static class SecondarySort.MapClass

extends Mapper<LongWritable,Text,SecondarySort.IntPair,IntWritable>

Read two integers from each line and generate a key, value pair as ((left, right), right).

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`Mapper.Context`

Constructor Summary
`SecondarySort.MapClass()`

Method Summary
`void` `map(LongWritable inKey, Text inValue, Mapper.Context context)` Called once for each key/value pair in the input split.

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecondarySort.MapClass

    public SecondarySort.MapClass()

Method Detail

### map

    public void map(LongWritable inKey,
                    Text inValue,
                    Mapper.Context context)
             throws IOException,
                    InterruptedException

  Description copied from class: `Mapper`
  Called once for each key/value pair in the input split. Most applications should override this, but the default is the identity function.

  Overrides:
    `map` in class `Mapper<LongWritable,Text,SecondarySort.IntPair,IntWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2009 The Apache Software Foundation